using System;

namespace treci
{
    class Program
    {
        struct Tacka
        {
            public long x;
            public long y;
        }
        static double Ugao (Tacka a, Tacka b)
        {
            if ((a.x - b.x)==0) return 0;
            else return ((a.y - b.y) / (a.x - b.x));
        }
        static bool Paralelne(Tacka[] t)
        {
            if (Ugao(t[0], t[1]) == Ugao(t[2], t[3]) && DuploDuze(t[0],t[1],t[2],t[3]))
                return true;
            else if (Ugao(t[0], t[2]) == Ugao(t[1], t[3]) && DuploDuze(t[0], t[2], t[1], t[3]))
                return true;
            else if (Ugao(t[0], t[3]) == Ugao(t[1], t[2]) && DuploDuze(t[0], t[3], t[1], t[2]))
                return true;
            else return false;
        }
        static bool DuploDuze(Tacka a, Tacka b, Tacka c, Tacka d)
        {
            if (Math.Sqrt(Math.Pow((a.x - b.x), 2) + Math.Pow((a.y - b.y), 2)) ==
                2 * Math.Sqrt(Math.Pow((c.x - d.x), 2) + Math.Pow((c.y - d.y), 2)))
                return true;
            else if (2 * Math.Sqrt(Math.Pow((a.x - b.x), 2) + Math.Pow((a.y - b.y), 2)) ==
                     Math.Sqrt(Math.Pow((c.x - d.x), 2) + Math.Pow((c.y - d.y), 2)))
                return true;
            return false;
        }
        static void Kombinacije(Tacka[] niz, int n, int index, Tacka[] komb, int i, ref long brojac)
        {
            if (index == 4)
            {
                Izbroji(komb, ref brojac);
                return;
            }
            if (i >= n)
                return;
            komb[index] = niz[i];
            Kombinacije(niz, n, index + 1, komb, i + 1,ref brojac);
            Kombinacije(niz, n, index, komb, i + 1, ref brojac);
        }
        static void Izbroji(Tacka[] t, ref long brojac)
        {
            if (Paralelne(t))
            {
                brojac++;
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            Tacka[] tacke = new Tacka[n];
            string[] s;
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                tacke[i].x = int.Parse(s[0]);
                tacke[i].y = int.Parse(s[1]);
            }
            long brojac = 0;
            Tacka[] komb = new Tacka[4];
            if (n>=4)
                Kombinacije(tacke, n, 0, komb, 0,ref brojac);
            Console.WriteLine(brojac);
            

        }
    }
}